<?php

namespace app\models\system;

use crmeb\basic\BaseModel;
use crmeb\traits\ModelTrait;

class SystemStoreStockBill extends BaseModel
{
    use ModelTrait;

    public static function getAddTimeAttr($value)
    {
        return date("Y-m-d H:i:s", $value);
    }

    public static function getAuditTimeAttr($value)
    {
        return $value ? date("Y-m-d H:i:s", $value) : '-';
    }

    public static function getStatusAttr($value)
    {
        switch ($value) {
            case 0:
                return '待审核';
                break;
            case 1:
                return '已通过';
                break;
            case -1:
                return '已拒绝';
                break;
        }
    }

    /**
     *创建记录
     */
    public static function order_create($store_id, $data)
    {
        if ($data['product_id'] > 0 && $data['in_stock'] > 0) {

            $data['add_time'] = time();
            $data['store_id'] = $store_id;
            self::create($data);
            return true;
        }
        return false;
    }

    /**
     *获取列表
     */
    public static function lst($where)
    {
        $model = new self;
        $model = $model->alias("a")->join("store_product b", "a.product_id=b.id", "right");
        if (isset($where['store_id']) && $where['store_id'] > 0) $model = $model->where('a.store_id', $where['store_id']);
        if (isset($where['status']) && $where['status'] > -2) $model = $model->where('a.status', $where['status']);
        if (isset($where['key']) && $where['key']) $model = $model->wherelike('b.store_name', "%" . $where['key'] . "%");
        if (isset($where['product_id']) && $where['product_id']) $model = $model->wherelike('a.product_id', $where['product_id']);
        $model = $model->where('a.id', '>', 0);
        $model = $model->field('a.*,b.image,b.is_show,b.is_del,b.store_name');
        $count = $model->count();
        $data = $model->page($where['page'], $where['limit'])->order("id desc")->select()->toarray();
        foreach ($data as &$v) {
            $v['store'] = SystemStore::where('id', $v['store_id'])->value('name');
//            $v['type'] = $v['type'] == 1 ? '<b style="color: #00aa00">+</b>' : '<b style="color: #aa0000">+</b>';
        }
        return compact('count', 'data');
    }
}